Subject: RPC SLA

From: Alissa Cooper <[email-masked]>
Date: Wed, 3 Jul 2019 15:07:36 -0400

Hi all,

As I mentioned in my previous mail about the RFC Series Editor, I wanted to provide my perspective on discussions that occurred within the IAB this year regarding the RFC Production Center (RPC) SLA.

Every month, Heather sends an RFC Editor liaison report to the IAB, as do all of the liaisons to the IAB. After receiving the one she sent in January [1], I inquired about the SLA miss in Q4 of last year. This was because one of the reasons given for the Q3 and Q4 SLA misses was that resources had been directed to testing the new format tools. Since I served on the IAOC previously and now serve on the LLC Board, I was aware that we had budgeted (since 2017, I believe) for an additional RPC editor to come on board to help during the format transition, and I didn't understand why the editor hadn't been added yet if the transition work was already having an impact on the publication queue. I was also not aware of any amendment that had been made to the RPC contract to account for changes in understanding about whether the SLA was still in force.

Heather and I had an email exchange about this on which the IAB and RSOC were cc'ed in which she answered my questions. From my perspective there were three positive outcomes of this exchange for the IETF and the broader Internet community:

1. The RPC requested two additional editors beyond the original one additional that had been previously budgeted, for a total of three. The LLC Board approved this request on May 30 [2]. The IETF budget has changed significantly since the 2017 budget was put together, which allowed for this. As Heather explained at the IETF 104 plenary [3], the original projection was that up to 3.25 FTE could be needed during the format transition. Personally I'm glad the RPC has been able to temporarily add three editors instead of one and I'm hopeful that this will contribute to the continued timely processing of documents as we move towards the actual format transition in August.

2. The procedure to update the SLA in the future will be documented. Heather is working on this. Although the likelihood of SLA misses during the format transition had been discussed by Heather, the RSOC, the RPC, and the IAB going back several years, the RPC contract was never updated to reflect the agreement that the SLA would be missed. I continue to believe that having an SLA in a contract with a tacit agreement that its targets are not meaningful is damaging to the ability of the IETF LLC to operate effectively going forward. Hopefully documenting the update procedure will ensure that the final step of the update process always includes the two parties to the contract (IETF LLC and AMS, currently) agreeing to the amendments. This is the process that we use to update the IANA SLA and it works quite well IMO.

3. The quarterly calls that Heather hosts with the stream managers are now minuted, so that if decisions are taken during them, whether related to the SLA or otherwise, there is documentation of those decisions (see the last set at [4]).

I believe this was the extent of SLA-related discussions within the IAB this year, but if I'm wrong someone else on the IAB can correct me. There was a bit of discussion of the SLA on the iasa20 mailing list in which individual IAB members participated [5]. All I know of the RSOC's SLA discussions are what appear in their public minutes.

Regards,
Alissa

[1] Item 2.4 at https://www.iab.org/documents/minutes/minutes-2019/iab-minutes-2019-01-16/
[2] https://www.ietf.org/media/documents/2019-05-30-llc-board-minutes.pdf
[3] https://datatracker.ietf.org/meeting/104/materials/minutes-104-ietf-201903271710-00
[4] https://www.rfc-editor.org/rse/wiki/doku.php?id=8_february_2019_stream_manager_call
[5] See the threads at https://mailarchive.ietf.org/arch/msg/iasa20/dWy-8ui6TV2uovXTNotgpc2051w and https://mailarchive.ietf.org/arch/msg/iasa20/FjNhUSWGZ4nsTrxOTWeIQb00R14